Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MultipleBallPerceptElement Class Reference

removed struct and made class out of it to make it streamable More...

`#include <MultipleBallPerceptElement.h>`

Inheritance diagram for MultipleBallPerceptElement:

[legend]
Collaboration diagram for MultipleBallPerceptElement:

[legend]
List of all members.

## Public Member Functions
| MultipleBallPerceptElement ()
| removed struct and made class out of it to make it streamable
void | calculateDistanceValue (Vector2< double > offset)
## Public Attributes
Vector2< double > | offsetOnField
Vector2< double > | centerInImage
| The center of the ball in image coordinates.
double | radiusInImage
| The center of the ball in image coordinates.
double | reliability
double | distanceError
## Private Member Functions
void | serialize (In *in, Out *out)

## Detailed Description

removed struct and made class out of it to make it streamable

Author:
  Thorsten Kerkhof

Definition at line 13 of file MultipleBallPerceptElement.h.

## Constructor & Destructor Documentation

MultipleBallPerceptElement::MultipleBallPerceptElement | ( |  | ) |

| removed struct and made class out of it to make it streamable Author: Thorsten Kerkhof Definition at line 8 of file MultipleBallPerceptElement.cpp.

## Member Function Documentation

void MultipleBallPerceptElement::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, private, virtual]`

| Implements Streamable. Definition at line 15 of file MultipleBallPerceptElement.h. References distanceError, STREAM, STREAM_REGISTER_BEGIN, and STREAM_REGISTER_FINISH.

void MultipleBallPerceptElement::calculateDistanceValue | ( | Vector2< double > | offset | ) |

| Definition at line 15 of file MultipleBallPerceptElement.cpp. References distanceError, Vector2< V >::x, and Vector2< V >::y. Referenced by VLCBallSpecialist::addBallPercept(), and GT2005BallSpecialist::addBallPercept().

## Member Data Documentation

Vector2<double> MultipleBallPerceptElement::offsetOnField

| Definition at line 29 of file MultipleBallPerceptElement.h. Referenced by VLCBallSpecialist::addBallPercept(), and GT2005BallSpecialist::addBallPercept().

Vector2<double> MultipleBallPerceptElement::centerInImage

| The center of the ball in image coordinates. Definition at line 32 of file MultipleBallPerceptElement.h.

double MultipleBallPerceptElement::radiusInImage

| The center of the ball in image coordinates. Definition at line 35 of file MultipleBallPerceptElement.h.

double MultipleBallPerceptElement::reliability

| Definition at line 37 of file MultipleBallPerceptElement.h. Referenced by MultipleBallPerceptList::add(), VLCBallSpecialist::addBallPercept(), GT2005BallSpecialist::addBallPercept(), VLCBallSpecialist::addMultiplePercept(), and GT2005BallSpecialist::addMultiplePercept().

double MultipleBallPerceptElement::distanceError

| Definition at line 40 of file MultipleBallPerceptElement.h. Referenced by calculateDistanceValue(), and serialize().

The documentation for this class was generated from the following files:

- Representations/Perception/MultipleBallPerceptElement.h
- Representations/Perception/MultipleBallPerceptElement.cpp